#ifndef DICTGROUP_H
#define DICTGROUP_H

#include "ui_groupedit.h"

#include <KDialog>


namespace Dict {

typedef QPair<QString, QStringList> GroupPair;
typedef QList<GroupPair> GroupList;

class Edit
{
public:
	Edit(const QStringList &list);
	void readConf(const QStringList &list);
	void writeConf();
	const GroupList *list() const { return &grouplist; }
	QStringList groups() const;

	void add(const QString &);
	void remove(const QString &);
	void update(const QString &, const QStringList &);
	QStringList selected(const QString &) const;

private:
	GroupList grouplist;
};


class EditConf : public KDialog, public Ui::GroupEdit
{
	Q_OBJECT

public:
	EditConf(QWidget *parent = 0);
	~EditConf();
	void set(Edit *edit, const QList<QListWidgetItem *> &list);
	QStringList selected() const;

private Q_SLOTS:
	void update();
	void add();
	void remove();
	void select(int index);

private:
	Edit *groups;
	QList<QListWidgetItem *> databaseList;
};

}

#endif
