#include "widgets.h"


namespace Dict {

Progress::Progress(QWidget *parent)
	: QProgressBar(parent)
{
	setMaximumSize(100, 16);
	setFormat("");
	hide();

	timer.setInterval(1000);
	timer.setSingleShot(true);
	connect(&timer, SIGNAL(timeout()), SLOT(hide()));
}

void Progress::set(int current, int total)
{
	if (!current) {
		timer.stop();
		setRange(0, total);
		show();
	}
	setValue(current);
	if (current == total)
		timer.start();
}

}
