#include "widgets.h"

#include <KIconLoader>
#include <QPixmap>


namespace Dict {

Status::Status(QWidget *parent)
	: QWidget(parent)
{
	picture = new QLabel(this);
	label = new QLabel(this);
	QLayout *layout = new QHBoxLayout(this);
	layout->addWidget(picture);
	layout->addWidget(label);
	layout->setContentsMargins(4, 0, 10, 0);
}

void Status::setStatus(const char *icon, const QString &text, bool enabled)
{
	QPixmap pix = SmallIcon(icon, KIconLoader::SizeSmall,
		(enabled) ? KIconLoader::DefaultState : KIconLoader::DisabledState);
	picture->setPixmap(pix);
	label->setText(text);
}

void Status::setTip(const QString &text)
{
	picture->setToolTip(text);
}

}
