#include "widgets.h"


namespace Dict {

QString elide(const QString &text, int len)
{
	return (text.length() > len) ? (text.left(len) + "...") : text;
}


Info::Info(QObject *parent)
	: KActionMenu(parent)
{
	setDelayed(false);
	connect(menu(), SIGNAL(triggered(QAction *)),
		SLOT(actionTriggered(QAction *)));
}

void Info::addAction(const QString &text, const QString &data)
{
	menu()->addAction(text)->setData(data);
}

QStringList Info::list() const
{
	QStringList list;
	foreach (QAction *action, QAction::menu()->actions())
		list << action->data().toString();
	return list;
}

void Info::actionTriggered(QAction *action)
{
	emit selected(action->data().toString());
}

}
